Bug 962264 - Upgrade netty version to 3.6.6.Final
Upgrade netty version to 3.6.6.Final
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ (Show other bugs)
6.1.0
All Linux
urgent Severity high
: ER3
: EAP 6.1.1
Assigned To: Clebert Suconic
Martin Svehla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 23:42 EDT by Yong Hao Gao
Modified: 2013-11-08 11:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 16:29:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HORNETQ-1193 Major Closed Upgrade netty to 3.6.6.Final 2013-11-08 11:28:29 EST

  None (edit)
Description Yong Hao Gao 2013-05-12 23:42:42 EDT
Description of problem:

Latest netty version is 3.6.5. we need to upgrade it. There is one issue 
https://bugzilla.redhat.com/show_bug.cgi?id=899916
that can be fixed by this upgrade.

Version-Release number of selected component (if applicable):


How reproducible:

org.hornetq.tests.integration.ssl.CoreClientOverOneWaySSLTest.testOneWaySSLWithoutTrustStore()

Run this test with sun's jdk and ibm's jdk respectively. It'll pass with sun's jdk but not with ibm's.

Steps to Reproduce:
1. set your env using sun's jdk 7/netty 3.6.2
2. run the above test, it'll pass
3. change the env to use IBM's jdk 7/netty 3.6.2
4. the test hangs.
5. change the env to use netty 3.6.2
6. the test pass with both JDKs.
  
Actual results:


Expected results:


Additional info:
Comment 1 Yong Hao Gao 2013-05-12 23:48:11 EDT
Correction:

In the 'How reproducible/Steps to Reproduce' step 5
change the evn to use netty 3.6.2
should be
change the env to use netty 3.6.5
Comment 3 Clebert Suconic 2013-06-26 09:31:00 EDT
6.1.x (6.1.1) https://github.com/jbossas/jboss-eap/pull/203
Comment 4 Clebert Suconic 2013-06-26 09:56:18 EDT
this is a mandatory change on 6.1.1... it's a blocker
Comment 5 Martin Svehla 2013-07-18 08:11:46 EDT
Netty 3.6.6.Final is part of EAP 6.1.1.ER3 build

7a6066a78659581facb35874915bf1f9  modules/system/layers/base/org/jboss/netty/main/netty-3.6.6.Final-redhat-1.jar
Comment 7 JBoss JIRA Server 2013-11-08 11:28:31 EST
Clebert Suconic <clebert.suconic@jboss.com> updated the status of jira HORNETQ-1193 to Closed
Comment 8 JBoss JIRA Server 2013-11-08 11:28:31 EST
Clebert Suconic <clebert.suconic@jboss.com> made a comment on jira HORNETQ-1193

we are going to netty4 now

Note You need to log in before you can comment on or make changes to this bug.